//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class StockMovement
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public StockMovement()
        {
            this.DeliveryOrderDetails = new HashSet<DeliveryOrderDetail>();
            this.ExchangeDetails = new HashSet<ExchangeDetail>();
            this.RefundDetails = new HashSet<RefundDetail>();
        }
    
        public int StockMovementId { get; set; }
        public int StockId { get; set; }
        public int Quantity { get; set; }
        public int MovementType { get; set; }
        public string Concept { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DeliveryOrderDetail> DeliveryOrderDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ExchangeDetail> ExchangeDetails { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<RefundDetail> RefundDetails { get; set; }
        public virtual Stock Stock { get; set; }
    }
}
